////
////  NativeAdView.m
////  InMobiMopubSampleApp
////
////  Created by Niranjan Agrawal on 29/10/15.
////
////
//
#import "NativeAdView.h"
#import <Foundation/Foundation.h>
@implementation NativeAdView



- (id)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        self.titleLabel = [[UILabel alloc] init];
        [self.titleLabel setFont:[UIFont boldSystemFontOfSize:17.0f]];
        [self.titleLabel setText:@"Title"];
        [self addSubview:self.titleLabel];
        
        self.mainTextLabel = [[UILabel alloc] init];
        [self.mainTextLabel setFont:[UIFont systemFontOfSize:14.0f]];
        [self.mainTextLabel setText:@"Text"];
        [self.mainTextLabel setNumberOfLines:2];
        [self addSubview:self.mainTextLabel];
        
        self.iconImageView = [[UIImageView alloc] init];
        [self addSubview:self.iconImageView];
        
        self.mainImageView = [[UIImageView alloc] init];
        [self.mainImageView setClipsToBounds:YES];
        [self.mainImageView setContentMode:UIViewContentModeScaleAspectFill];
        [self addSubview:self.mainImageView];
        
        self.callToActionLabel = [[UILabel alloc] init];
        [self.callToActionLabel setFont:[UIFont systemFontOfSize:14.0f]];
        [self.callToActionLabel setText:@"CTA Text"];
        [self.callToActionLabel setTextColor:[UIColor greenColor]];
        [self.callToActionLabel setTextAlignment:NSTextAlignmentRight];
        [self addSubview:self.callToActionLabel];
        
//        self.privacyInformationIconImageView = [[UIImageView alloc] init];
//        [self addSubview:self.privacyInformationIconImageView];
        
        self.backgroundColor = [UIColor colorWithWhite:0.21 alpha:1.0f];
        self.titleLabel.textColor = [UIColor colorWithWhite:0.86 alpha:1.0f];
        self.mainTextLabel.textColor = [UIColor colorWithWhite:0.86 alpha:1.0f];
        
        self.clipsToBounds = YES;
    }
    return self;
}

- (void)layoutSubviews
{
    CGFloat width = self.bounds.size.width;
    
    self.titleLabel.frame = CGRectMake(75, 10, 212, 60);
    self.iconImageView.frame = CGRectMake(10, 10, 60, 60);
    //self.privacyInformationIconImageView.frame = CGRectMake(width - 30, 10, 20, 20);
    self.callToActionLabel.frame = CGRectMake(width - 100, 270, 90, 48);
    self.mainTextLabel.frame = CGRectMake(width / 2 - 150, 68, 300, 50);
    self.mainImageView.frame = CGRectMake(width / 2 - 150, 119, 300, 156);
}

//- (void)layoutSubviews
//{
//    [super layoutSubviews];
//    // layout your views
//}

- (UILabel *)nativeMainTextLabel
{
    return self.mainTextLabel;
}

- (UILabel *)nativeTitleTextLabel
{
    return self.titleLabel;
}

- (UILabel *)nativeCallToActionTextLabel
{
    return self.callToActionLabel;
}

- (UIImageView *)nativeIconImageView
{
    return self.iconImageView;
}

- (UIImageView *)nativeMainImageView
{
    return self.mainImageView;
}

- (void)layoutStarRating:(NSNumber *)starRating
{
    
}


@end